# To reproduce the data needed for IV curve in clamping experiments in associated original paper

import clampExp 
import imp
imp.reload(clampExp)

sedversions=['0','1','2','3']

for i, sedversion in enumerate(sedversions):

   simfile='../Patch_clamp_experiment_%s.sedml' % sedversion
   simFign='FigA1F_%s' % sedversion
   V_clamp=[-60, 120, 120, -50, 80, 10]
   paraKeys=['Clamp_parameters/Cai']
   paras=[8.97e-5]
   outKeys=['outputs/I_CaL']
   clampExp.clampExp(simFign,simfile,V_clamp,paraKeys,paras,outKeys)
   
   simFign='FigA2F_%s' % sedversion
   V_clamp=[-80, 100, 100, -70, 80, 10]
   paraKeys=['Clamp_parameters/Cai']
   paras=[8.97e-5]
   outKeys=['outputs/I_CaT']
   clampExp.clampExp(simFign,simfile,V_clamp,paraKeys,paras,outKeys)
   
   simFign='FigA3F_%s' % sedversion
   V_clamp=[-90, 50, 50, -50, 80, 10]
   paraKeys=['Clamp_parameters/Nai']
   paras=[4]
   outKeys=['outputs/I_Na']
   clampExp.clampExp(simFign,simfile,V_clamp,paraKeys,paras,outKeys)
   
   simFign='FigA4F_%s' % sedversion
   V_clamp=[-80, 8000, 8000, -60, 80, 10]
   paraKeys=['Clamp_parameters/Ki']
   paras=[140]
   outKeys=['outputs/I_K1']
   clampExp.clampExp(simFign,simfile,V_clamp,paraKeys,paras,outKeys)
   
   simFign='FigA5F_%s' % sedversion
   V_clamp=[-80, 8000, 8000, -60, 80, 10]
   paraKeys=['Clamp_parameters/Ki']
   paras=[140]
   outKeys=['outputs/I_K2']
   clampExp.clampExp(simFign,simfile,V_clamp,paraKeys,paras,outKeys)
   
   simFign='FigA6F_%s' % sedversion
   V_clamp=[-80, 150, 150, -80, 80, 10]
   paraKeys=['Clamp_parameters/Ki']
   paras=[140]
   outKeys=['outputs/I_KA']
   clampExp.clampExp(simFign, simfile, V_clamp,paraKeys,paras,outKeys)
   
   simFign='FigA7D_%s' % sedversion
   V_clamp=[-10, 3000, 3000, -20, -130, -10]
   paraKeys=['Clamp_parameters/Nai','Clamp_parameters/Ki']
   paras=[4,140]
   outKeys=['outputs/I_h']
   clampExp.clampExp(simFign,simfile,V_clamp,paraKeys,paras,outKeys)
   
   simFign='FigA8E_%s' % sedversion
   V_clamp=[0, 100, 100, -60, 50, 10]
   paraKeys=['Clamp_parameters/Cai']
   paras=[8.97e-5]
   outKeys=['outputs/I_Cl']
   clampExp.clampExp(simFign, simfile, V_clamp,paraKeys,paras,outKeys)



